Permalink
Browse files

Updating to secure rails

  • Loading branch information...
safarista committed Jan 19, 2013
1 parent 8e15eed commit 9fad988991fb421745b3452847030b9316d55c4b
Showing with 44 additions and 38 deletions.
  1. +1 −1 Gemfile
  2. +43 −37 Gemfile.lock
View
@@ -1,6 +1,6 @@
source 'https://rubygems.org'
-gem 'rails', '3.2.9'
+gem 'rails', '3.2.11'
# gem 'libv8', '~> 3.11.8' # don not use this gem in production in a Gemfile. Install it on the machine.
# Bundle edge Rails instead:
# gem 'rails', :git => 'git://github.com/rails/rails.git'
View
@@ -8,39 +8,39 @@ GIT
GEM
remote: https://rubygems.org/
specs:
- actionmailer (3.2.9)
- actionpack (= 3.2.9)
+ actionmailer (3.2.11)
+ actionpack (= 3.2.11)
mail (~> 2.4.4)
- actionpack (3.2.9)
- activemodel (= 3.2.9)
- activesupport (= 3.2.9)
+ actionpack (3.2.11)
+ activemodel (= 3.2.11)
+ activesupport (= 3.2.11)
builder (~> 3.0.0)
erubis (~> 2.7.0)
journey (~> 1.0.4)
rack (~> 1.4.0)
rack-cache (~> 1.2)
rack-test (~> 0.6.1)
sprockets (~> 2.2.1)
- activemodel (3.2.9)
- activesupport (= 3.2.9)
+ activemodel (3.2.11)
+ activesupport (= 3.2.11)
builder (~> 3.0.0)
- activerecord (3.2.9)
- activemodel (= 3.2.9)
- activesupport (= 3.2.9)
+ activerecord (3.2.11)
+ activemodel (= 3.2.11)
+ activesupport (= 3.2.11)
arel (~> 3.0.2)
tzinfo (~> 0.3.29)
- activeresource (3.2.9)
- activemodel (= 3.2.9)
- activesupport (= 3.2.9)
- activesupport (3.2.9)
+ activeresource (3.2.11)
+ activemodel (= 3.2.11)
+ activesupport (= 3.2.11)
+ activesupport (3.2.11)
i18n (~> 0.6)
multi_json (~> 1.0)
arel (3.0.2)
bcrypt-ruby (3.0.1)
bootstrap-sass (2.2.2.0)
sass (~> 3.2)
builder (3.0.4)
- carrierwave (0.7.1)
+ carrierwave (0.8.0)
activemodel (>= 3.2.0)
activesupport (>= 3.2.0)
ckeditor (3.7.3)
@@ -80,10 +80,13 @@ GEM
jquery-rails (2.1.4)
railties (>= 3.0, < 5.0)
thor (>= 0.14, < 2.0)
- json (1.7.5)
+ json (1.7.6)
+ jwt (0.1.5)
+ multi_json (>= 1.0)
kaminari (0.14.1)
actionpack (>= 3.0.0)
activesupport (>= 3.0.0)
+ libv8 (3.11.8.13)
mail (2.4.4)
i18n (>= 0.4.0)
mime-types (~> 1.16)
@@ -95,34 +98,36 @@ GEM
multipart-post (1.1.5)
net-scp (1.0.4)
net-ssh (>= 1.99.1)
- net-ssh (2.6.2)
+ net-ssh (2.6.3)
nokogiri (1.5.6)
oauth (0.4.7)
- oauth2 (0.6.1)
- faraday (~> 0.7)
+ oauth2 (0.8.0)
+ faraday (~> 0.8)
httpauth (~> 0.1)
- multi_json (~> 1.3)
+ jwt (~> 0.1.4)
+ multi_json (~> 1.0)
+ rack (~> 1.2)
orm_adapter (0.4.0)
pg (0.14.1)
polyglot (0.3.3)
- rack (1.4.1)
+ rack (1.4.4)
rack-cache (1.2)
rack (>= 0.4)
rack-ssl (1.3.2)
rack
rack-test (0.6.2)
rack (>= 1.0)
- rails (3.2.9)
- actionmailer (= 3.2.9)
- actionpack (= 3.2.9)
- activerecord (= 3.2.9)
- activeresource (= 3.2.9)
- activesupport (= 3.2.9)
+ rails (3.2.11)
+ actionmailer (= 3.2.11)
+ actionpack (= 3.2.11)
+ activerecord (= 3.2.11)
+ activeresource (= 3.2.11)
+ activesupport (= 3.2.11)
bundler (~> 1.0)
- railties (= 3.2.9)
- railties (3.2.9)
- actionpack (= 3.2.9)
- activesupport (= 3.2.9)
+ railties (= 3.2.11)
+ railties (3.2.11)
+ actionpack (= 3.2.11)
+ activesupport (= 3.2.11)
rack-ssl (~> 1.3.2)
rake (>= 0.8.7)
rdoc (~> 3.4)
@@ -133,25 +138,26 @@ GEM
redcarpet (2.2.2)
ref (1.0.2)
ruby-hmac (0.4.0)
- sass (3.2.4)
- sass-rails (3.2.5)
+ sass (3.2.5)
+ sass-rails (3.2.6)
railties (~> 3.2.0)
sass (>= 3.1.10)
tilt (~> 1.3)
simple_form (2.0.4)
actionpack (~> 3.0)
activemodel (~> 3.0)
- sorcery (0.7.13)
+ sorcery (0.8.0)
bcrypt-ruby (~> 3.0.0)
oauth (~> 0.4.4)
- oauth2 (~> 0.6.0)
+ oauth2 (~> 0.8.0)
sprockets (2.2.2)
hike (~> 1.2)
multi_json (~> 1.0)
rack (~> 1.0)
tilt (~> 1.1, != 1.3.0)
subexec (0.2.2)
- therubyracer (0.11.0)
+ therubyracer (0.11.3)
+ libv8 (~> 3.11.8.12)
ref
thin (1.5.0)
daemons (>= 1.0.9)
@@ -183,7 +189,7 @@ DEPENDENCIES
kaminari
mini_magick
pg
- rails (= 3.2.9)
+ rails (= 3.2.11)
redcarpet
sass-rails (~> 3.2.3)
simple_form

0 comments on commit 9fad988

Please sign in to comment.